Package org.apache.tapestry5.internal.plastic

# Enum FieldState

java.lang.Object
java.lang.Enum<FieldState>
org.apache.tapestry5.internal.plastic.FieldState

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldState>`, `java.lang.constant.Constable`

public enum FieldState extends Enum<FieldState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONDUIT`
  `INITIAL`
  `INJECTED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `description`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INITIAL

    public static final FieldState INITIAL

  - ### INJECTED

    public static final FieldState INJECTED

  - ### CONDUIT

    public static final FieldState CONDUIT

- ## Field Details

  - ### description

    public final String description

- ## Method Details

  - ### values

    public static FieldState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null